%global enable_tests 1
%global srcname run-parallel-limit

Name:           nodejs-%{srcname}
Version:        1.0.1
Release:        2%{?dist}
Summary:        Run functions in parallel with a limit on concurrent tasks
License:        MIT
URL:            https://github.com/feross/run-parallel-limit
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
#BuildRequires:  npm(standard)
BuildRequires:  npm(tape)
BuildRequires:  npm(dezalgo)
#BuildRequires:  npm(zuul)
%endif

%description
Run an array of functions in parallel, but limit the number of tasks executing
at the same time.

%prep
%setup -q -n package
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
tape test/*.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 29 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.1-1
- Initial package
